Allow project column to break into new line in time entry table

2018-09-13 17:40 - Felix Gliesche

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 4.0.0   

Resolution: Fixed Affected version:  

Description

When adding the project column to the time entries detail report, the project name does not break into new line. This unnecessarily

can quickly add a horizointal scroll bar and/or vertical space to the table. This can be avoided by letting the content break into new

lines, just like the issue's name. This patch takes care of it.
Associated revisions

Revision 17529 - 2018-09-27 15:22 - Go MAEDA

Allow line break of project column im time entry table (#29607).

Patch by Felix Gliesche.

History

#1 - 2018-09-14 02:04 - Go MAEDA

- File long-project-name-in-issues-list@2x.png added

It also affects issues list. I think the improved style should also be applied to the issues list. Felix Gliesche, would you update your patch if you agree

on it?

 

#2 - 2018-09-18 09:37 - Felix Gliesche

@Go MAEDA: Good Point. I will take care of it and add an additional patch soon.

#3 - 2018-09-26 12:48 - Felix Gliesche

- File redmine-lokal-after.png added
- File redmine-lokal-before.png added

Hello Go MAEDA,

i did some tests. For the issue list, I didn't really find an improvement for the issue list:

Before:

 redmine-lokal-before.png 

After:

 redmine-lokal-after.png 

I am not sure, if it's worth updating it for the issue list, too. What do you think?

#4 - 2018-09-27 09:47 - Go MAEDA

- Target version set to 4.1.0

Felix Gliesche wrote:

i did some tests. For the issue list, I didn't really find an improvement for the issue list:

 Thank you for sparing time for testing it, I agree with you.

I am setting the target version to 4.1.0.

#5 - 2018-09-27 15:23 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version changed from 4.1.0 to 4.0.0

- Resolution set to Fixed

Committed the patch. Thank you for providing the patch.
